//priority: 1000

events.listen('item.registry', function (e) {
	e.create('unstable_endershard').displayName('§6Unstable Ender Shard').tooltip('§eTeleports the player to a random position').unstackable()
	
	e.create('claw').displayName('Claw').tooltip('§cDrop from Hidebehind')
	
	e.create('golem_summoner').displayName('§dGolem Summoner').tooltip('§eSummons a random golem').tooltip('§9§oOnly works in the Overworld').unstackable().glow(true)
	
	e.create('uninspiring_rainbow_chunk').displayName('Rainbow Gem').glow(true)
	
	e.create('diorite_alloy').displayName('Diorite Alloy')
	
	e.create('affixgear2').displayName('§7Uncommon Loot Bag')
	e.create('affixgear3').displayName('§aRare Loot Bag')
	e.create('affixgear4').displayName('§9Epic Loot Bag')
	e.create('affixgear5').displayName('§cMythic Loot Bag').glow(true)
	e.create('affixgear6').displayName('§dAncient Loot Bag').glow(true)
	
	//loot items
	e.create('delight_builder').displayName('§bBuilder\'s Order').tooltip('§eDrops a supply crate §efrom the sky').tooltip('§4Warning: §eFragile Content').tooltip('§9§oOnly works in the Overworld')
	//essences
	e.create('essence_floral').displayName('§aFloral Essence').tooltip('§eDrops a §bFloral Box §efrom the sky').tooltip('§9§oOnly works in the Overworld')
	e.create('essence_druidity').displayName('§8Druidic Essence').tooltip('§eDrops a §8Druidic Box §efrom the sky').tooltip('§9§oOnly works in the Overworld')
	
	e.create('food_bag').displayName('§6Bag O\' Food').tooltip('§eGives you random food items')
	
})

events.listen('block.registry', function (e) {
  e.create('uninspiring_rainbow_block').displayName('§dRainbow Block').material('iron').hardness(2)
  e.create('reanimated_rainbow_block').displayName('§dAnimated Rainbow Catalyst').material('iron').hardness(2).lightLevel(1)
  
  //loot blocks
  e.create('lootblock_builder').displayName('§bBuilder\'s Supply')
  
  e.create('lootblock_food').displayName('§cDebug Block')
  
  e.create('lootblock_magic_floral').displayName('§aFloral Box')
  e.create('lootblock_magic_druidic').displayName('§8Druidic Box')
  
  
  e.create('fossilised_urn').displayName('§8Fossilised Stone Encrusted Urn').material('stone').hardness(2)
  
  e.create('evershifting_soil').displayName('§bEvershifting Stellar Soil').material('dirt').hardness(0.6)
})
